Subject: Re: linux-2.6 clone with CygWin git

From: Brian Dessent <[email-masked]>
Date: Fri, 09 Nov 2007 13:24:53 -0800

[ Please note, it's spelled "Cygwin" not "CygWin". ]

Medve Emilian wrote:

> Can somebody please double-check this scenario for me just to validate
> that this happens only due to some particular factors combination on my
> box?

As others have pointed out, this is not a git issue -- you'd have run
into the same problem with a simple tarball of the kernel source because
of the filesystem case insensitivity.  Cygwin provides managed mounts to
work around this Win32 limitation, at the cost of non-Cygwin apps seeing
uglified filenames and a decreased effective maximum path length due to
the mangling.

Brian